Subject: bug#22991: 25.0.92: C-u C-s does not display "Regexp I-search:" in the echo area

From: Kaushal Modi <[email-masked]>
Date: Sat, 12 Mar 2016 09:35:31 -0500

I also think that adding an option just for this is an overkill.

It makes sense that removing that cond right now would be a big behavior
change and should not be done in emacs-25.

Can you guys please review and push the last patch I sent? Below are the 2
fixes:
1. Now C-u C-s shows the Regexp description if the search-default-mode is
nil.
2. If regexp search is default, C-s does not show the Regexp description.

Let's continue this discussion in emacs-dev.

Thanks.

--
Kaushal Modi